# Uses of Class
org.codehaus.janino.Java.UnaryOperation

Packages that use Java.UnaryOperation
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.UnaryOperation in org.codehaus.janino

Methods in org.codehaus.janino with parameters of type Java.UnaryOperation
Modifier and Type
Method
Description
`R`
Visitor.RvalueVisitor.`visitUnaryOperation(Java.UnaryOperation uo)`
Invoked by `accept(Visitor.RvalueVisitor)`

## Uses of Java.UnaryOperation in org.codehaus.janino.util

Methods in org.codehaus.janino.util with parameters of type Java.UnaryOperation
Modifier and Type
Method
Description
`Java.Rvalue`
DeepCopier.`copyUnaryOperation(Java.UnaryOperation subject)`
`void`
AbstractTraverser.`traverseUnaryOperation(Java.UnaryOperation uo)`
`void`
Traverser.`traverseUnaryOperation(Java.UnaryOperation uo)`